コンテンツにスキップ

サービス更新

PUT
/api/v1/services/{id}

サービスの名前・slug・説明・公開設定を更新します。write スコープが必要です。最低1つのフィールドを指定してください。

id
required
string
object
name
string
<= 100 characters
slug
string
>= 2 characters <= 100 characters /^[a-z0-9][a-z0-9-]*[a-z0-9]$/
description
string
nullable <= 500 characters
isPublic

ステータスページの公開/非公開

boolean

更新されたサービス

object
service

Status page with computed counts (returned by Public API)

object
id
string
teamId
string
name
string
slug
string
description
string
nullable
isPublic
integer
maintenanceUntil
string format: date-time
nullable
customDomain
string
nullable
customDomainStatus
string
nullable
Allowed values: pending_validation active failed
customDomainCfId
string
nullable
customDomainValidation
object
autoResolveMaintenance
integer
Allowed values: 0 1
createdAt
string format: date-time
updatedAt
string format: date-time
monitorCount

Number of monitors linked to this status page

integer
activeIncidentCount

Number of ongoing incidents for this status page

integer

Write スコープが必要

サービスが見つからない

Slug が既に使用されている